nvidia-kernel-dkms will not install with new dkms

Post your update and upgrade related errors here
Forum rules
Before you post please read this

nvidia-kernel-dkms will not install with new dkms

Postby devicerandom on Sun May 13, 2012 9:56 pm

Hello,

I just did a dist-upgrade and now the new nvidia driver cannot be compiled correctly. In particular, apt-get dist-upgrade removed nvidia-kernel-dkms which will not install back again, due to a conflict with the installed version of dkms (2.2). Funnily enough, nvidia-kernel-dkms says it wants dkms>=2.1.0.0 , yet it doesn't like dkms 2.2

I would happily downgrade dkms 2.2 to 2.1, but it seems from apt-cache showpkg it can't find a previous version to do so (or at least I don't know how to find one).

Notice that I previously installed nvidia drivers from the *experimental* repo because they were the only ones working with my video card... they were 295.x something drivers IIRC.

Kernel version: 3.2.0-amd64
nvidia-kernel-dkms last version: 302.07-1 (not installed)
dkms version: 2.2.0.3-1

My google-fu isn't helping. Any hint?

thanks!
m.
Last edited by devicerandom on Mon May 14, 2012 9:04 am, edited 1 time in total.
devicerandom
Level 1
Level 1
 
Posts: 16
Joined: Sun May 13, 2012 9:44 pm

Linux Mint is funded by ads and donations.
 

Re: nvidia-kernel-dkms will not install with new dkms

Postby devicerandom on Mon May 14, 2012 9:02 am

Ok, looking a bit deeper, it seems my system has become a weird mess of testing,unstable and experimental packages somehow mixed -no wonder I get surprises. For example, it seems I have pulled an experimental make.
I'd like to know how to get back to a somehow sane testing system.

My /etc/apt/preferences is:

Code: Select all
Package: *
Pin: release o=linuxmint
Pin-Priority: 500

Package: *
Pin: origin packages.linuxmint.com
Pin-Priority: 500

Package: *
Pin: release o=Debian
Pin-Priority: 500

Package: *
Pin: release a=unstable
Pin-Priority: -10

Package: *
Pin: release a=experimental
Pin-Priority: -10


and my /etc/apt/sources.list is:

Code: Select all
deb http://packages.linuxmint.com/ debian main upstream import
deb http://ftp.debian.org/debian testing main contrib non-free
deb http://security.debian.org/ testing/updates main contrib non-free
deb http://www.debian-multimedia.org testing main non-free
deb http://ftp.debian.org/debian unstable main contrib non-free
deb http://ftp.debian.org/debian experimental main contrib non-free


I was under the impression that pinning experimental/unstable with -10 only allowed exp/unstable packages to be installed explicitly with apt-get -t . What has gone wrong?

thanks,
M.
devicerandom
Level 1
Level 1
 
Posts: 16
Joined: Sun May 13, 2012 9:44 pm

Re: nvidia-kernel-dkms will not install with new dkms

Postby zerozero on Mon May 14, 2012 9:06 am

Code: Select all
Package: *
Pin: release o=Debian
Pin-Priority: 500

this.
this is a left-over from the old preferences file, and afaik tells the system the all debian pkgs have 500 priority. ofc take this with a grain of salt, my apt-pinning are not amazing stuff :lol:

edit: see this also viewtopic.php?f=185&t=101742&hilit=+pinning
zerozero
Level 16
Level 16
 
Posts: 6469
Joined: Tue Jul 07, 2009 2:29 pm

Re: nvidia-kernel-dkms will not install with new dkms

Postby devicerandom on Mon May 14, 2012 9:24 am

Thanks!

I remember having modified it because if I kept 700, it wanted to remove a lot of stuff (basically all of gnome and kde).
I will try again however.

Meanwhile, here is what I've found I've installed now from the experimental repos :( -sorry for the Italian description (even if I'm Italian I'd like to go back to EN-uk by the way, but oh well, that's a minor issue)

Code: Select all
massimo@metropolis:/etc/apt$ aptitude search '?narrow(~i, ~Aexperimental)'
i A accountsservice                                                                                                - interroga e manipola le informazioni degli account utente                                                               
i   apache2-bin                                                                                                    - Apache HTTP Server (binary files and modules)                                                                           
iB  apache2.2-bin                                                                                                  - Transitional package for apache2-bin                                                                                   
i   brasero                                                                                                        - CD/DVD burning application for GNOME                                                                                   
i   brasero-common                                                                                                 - file comuni per l'applicazione e la libreria di masterizzazione CD brasero                                             
i   evince                                                                                                         - Document (PostScript, PDF) viewer                                                                                       
i   evince-common                                                                                                  - Document (PostScript, PDF) viewer - common files                                                                       
i   evolution-data-server                                                                                          - server backend con database per evolution                                                                               
i   evolution-data-server-common                                                                                   - file indipendenti dall'architettura per Evolution Data Server                                                           
i   findutils                                                                                                      - programmi per la ricerca di file: find, xargs                                                                           
i A gir1.2-gnomebluetooth-1.0                                                                                      - dati di introspezione per GnomeBluetooth                                                                               
i A gir1.2-javascriptcoregtk-3.0                                                                                   - dati di introspezione GObject per la libreria JavaScriptCore basata su GTK+                                             
i A gir1.2-totem-1.0                                                                                               - dati di introspezione GObject per il riproduttore multimediale Totem                                                   
i A gir1.2-webkit-3.0                                                                                              - dati di introspezione GObject per la libreria WebKit                                                                   
i   gnome-bluetooth                                                                                                - strumenti bluetooth per GNOME                                                                                           
i   hugin                                                                                                          - ricucitore di fotografie panoramiche - strumenti grafici                                                               
i A hugin-data                                                                                                     - strumento di ricostruzione di foto panoramiche - file di dati comuni                                                   
i A hugin-tools                                                                                                    - ricucitore di fotografie panoramiche - strumenti a riga di comando                                                     
i   ifupdown                                                                                                       - programmi di alto livello per la configurazione delle interfacce di rete                                               
i   initscripts                                                                                                    - script per l'inizializzazione e lo spegnimento del sistema                                                             
i A libaccountsservice0                                                                                            - interroga e manipola le informazioni degli account utente - librerie condivise                                         
C   libblas3                                                                                                       - Basic Linear Algebra Reference implementations, shared library                                                         
u   libblas3gf                                                                                                     - Transitional package for libblas                                                                                       
i A libbrasero-media3-1                                                                                            - libreria di masterizzazione CD/DVD per GNOME - eseguibile                                                               
i   libcamel-1.2-33                                                                                                - Evolution MIME message handling library                                                                                 
i A libclutter-gst-1.0-0                                                                                           - elementi GStreamer per la libreria canvas interattiva basata sulle OpenGL                                               
i   libdecoration0                                                                                                 - libreria Compiz per la decorazione di finestre                                                                         
i   libebackend-1.2-2                                                                                              - Utility library for evolution data servers                                                                             
i   libebook-1.2-13                                                                                                - Client library for evolution address books                                                                             
i   libecal-1.2-11                                                                                                 - Client library for evolution calendars                                                                                 
i   libedata-book-1.2-13                                                                                           - Backend library for evolution address books                                                                             
i   libedata-cal-1.2-15                                                                                            - Backend library for evolution calendars                                                                                 
i   libedataserver-1.2-16                                                                                          - Utility library for evolution data servers                                                                             
i A libedataserverui-3.0-1                                                                                         - libreria di utilità GUI per evolution data server                                                                       
i   libevdocument3-4                                                                                               - Document (PostScript, PDF) rendering library                                                                           
i   libevview3-3                                                                                                   - Document (PostScript, PDF) rendering library - Gtk+ widgets                                                             
i   libfftw3-3                                                                                                     - Library for computing Fast Fourier Transforms                                                                           
i A libgck-1-0                                                                                                     - libreria wrapper GLib per PKCS#11 - runtime                                                                             
i A libgcr-3-1                                                                                                     - libreria per compiti relativi alle interfacce utente per crittografia - eseguibili                                     
i A libgcr-3-common                                                                                                - libreria per compiti relativi alle interfacce utente per crittografia - file comuni                                     
i A libgl1-nvidia-alternatives                                                                                     - transition libGL.so* diversions to glx-alternative-nvidia                                                               
i   libgl1-nvidia-glx                                                                                              - NVIDIA binary OpenGL libraries                                                                                         
i A libglx-nvidia-alternatives                                                                                     - transition libgl.so diversions to glx-alternative-nvidia                                                               
i   libgnome-bluetooth10                                                                                           - GNOME Bluetooth tools - support library                                                                                 
iB  libhsqldb-java                                                                                                 - motore di database SQL per Java                                                                                         
i A libjavascriptcoregtk-1.0-0                                                                                     - libreria per motore Javascript per GTK+                                                                                 
i A libjavascriptcoregtk-3.0-0                                                                                     - libreria per motore Javascript per GTK+                                                                                 
u   liblapack3                                                                                                     - Library of linear algebra routines 3 - shared version                                                                   
u   liblapack3gf                                                                                                   - Transitional package for liblapack3                                                                                     
i   libpixman-1-0                                                                                                  - libreria di manipolazione di pixel per X e cairo                                                                       
i A libpoppler-qt4-3                                                                                               - PDF rendering library (Qt 4 based shared library)                                                                       
i A libpoppler19                                                                                                   - PDF rendering library                                                                                                   
i A libpostproc52                                                                                                  - FFmpeg derived postprocessing library                                                                                   
i   libshout3                                                                                                      - libreria per streaming broadcast MP3/Ogg Vorbis                                                                         
i A libsigsegv2                                                                                                    - Library for handling page faults in a portable way                                                                     
i   libsvga1                                                                                                       - librerie per display SVGA in console                                                                                   
i A libtotem0                                                                                                      - libreria principale per il riproduttore multimediale Totem                                                             
i A libwebkitgtk-1.0-0                                                                                             - libreria per motore di contenuti web per GTK+                                                                           
i A libwebkitgtk-1.0-common                                                                                        - libreria per motore di contenuti web per Gtk+ - file dei dati                                                           
i A libwebkitgtk-3.0-0                                                                                             - libreria per motore di contenuti web per GTK+                                                                           
i A libwebkitgtk-3.0-common                                                                                        - libreria per motore di contenuti web per Gtk+ - file dei dati                                                           
i   libxnvctrl0                                                                                                    - NV-CONTROL X extension (runtime library)                                                                               
i   linux-libc-dev                                                                                                 - header Linux di supporto per sviluppo in spazio utente                                                                 
i   live-config                                                                                                    - Debian Live - script per configurazione di sistema                                                                     
i   live-config-sysvinit                                                                                           - Debian Live - script per configurazione di sistema (backend sysvinit)                                                   
i   make                                                                                                           - utility for directing compilation                                                                                       
i   nvidia-alternative                                                                                             - allows the selection of NVIDIA as GLX provider                                                                         
i   nvidia-settings                                                                                                - Tool for configuring the NVIDIA graphics driver                                                                         
i   nvidia-vdpau-driver                                                                                            - NVIDIA vdpau driver                                                                                                     
i   nvidia-xconfig                                                                                                 - X configuration tool for non-free NVIDIA drivers                                                                       
i   patch                                                                                                          - applica un file diff all'originale                                                                                     
i A poppler-data                                                                                                   - Encoding data for the poppler PDF rendering library                                                                     
i   poppler-utils                                                                                                  - PDF utilities (based on Poppler)                                                                                       
i A python-qt4                                                                                                     - collegamenti Python per Qt4                                                                                             
i A python-qt4-dbus                                                                                                - gestione DBus per PyQt4                                                                                                 
i A python-qt4-sql                                                                                                 - collegamenti Python per il modulo SQL di PyQt4                                                                         
i   sysvinit                                                                                                       - init in stile System-V                                                                                                 
i   sysvinit-utils                                                                                                 - programmi in stile System V                                                                                             
i   tcl                                                                                                            - The Tool Command Language (default version) - run-time files                                                           
i   tcl8.6                                                                                                         - Tcl (the Tool Command Language) v8.6 - run-time files                                                                   
i   tomboy                                                                                                         - programma per il desktop per prendere annotazioni con collegamenti in stile Wiki                                       
i   totem                                                                                                          - semplice lettore multimediale per il desktop GNOME basato su GStreamer                                                 
i   totem-common                                                                                                   - file dati per il lettore multimediale Totem                                                                             
i   totem-mozilla                                                                                                  - plugin Totem Mozilla                                                                                                   
i   totem-plugins                                                                                                  - Plugins for the Totem media player                                                                                     
i   xserver-xorg-video-fbdev                                                                                       - server X di X.Org - driver per display fbdev                                                                           
i   xserver-xorg-video-nvidia                                                                                      - NVIDIA binary Xorg driver                                                                       
devicerandom
Level 1
Level 1
 
Posts: 16
Joined: Sun May 13, 2012 9:44 pm

Re: nvidia-kernel-dkms will not install with new dkms

Postby devicerandom on Mon May 14, 2012 9:27 am

Ok, I modified /etc/apt/preferences this way:

Code: Select all
Package: *
Pin: release o=linuxmint
Pin-Priority: 700

Package: *
Pin: origin packages.linuxmint.com
Pin-Priority: 700

Package: *
Pin: release o=Debian
Pin-Priority: 500

Package: *
Pin: release a=unstable
Pin-Priority: -10

Package: *
Pin: release a=experimental
Pin-Priority: -10



but after apt-get update, apt-get dist-upgrade doesn't want to change anything. I must confess my debian skills are not that high (while I've been a long-time Linux user, I have relatively limited experience in fixing apt stuff -usually synaptic took care of all, on my old debian/ubuntu systems :) ) (that is -no experience with rolling binary stuff)
devicerandom
Level 1
Level 1
 
Posts: 16
Joined: Sun May 13, 2012 9:44 pm

Re: nvidia-kernel-dkms will not install with new dkms

Postby zerozero on Mon May 14, 2012 9:40 am

sorry, that was not my suggestion: it won't make any difference bump the linuxmint repo now to 700 if you keep that debian at 500.

but really now after seeing the pkgs you have installed from experimental i don't know because some of them (a lot really) are core pkgs :shock:
the only viable option (but study this very well, i tried it a few times with mixed results) downgrade
viewtopic.php?f=68&t=72350&hilit=+downgrade
http://www.leune.org/blog/kees/2005/05/ ... ux-fr.html
http://www.macfreek.nl/memory/Mixing_St ... _in_Debian
http://archives.ryandaigle.com/articles ... n-packages
zerozero
Level 16
Level 16
 
Posts: 6469
Joined: Tue Jul 07, 2009 2:29 pm

Re: nvidia-kernel-dkms will not install with new dkms

Postby devicerandom on Mon May 14, 2012 9:46 am

zerozero wrote: i don't know because some of them (a lot really) are core pkgs :shock:


Yep, I've been shocked as well. I suppose it's because the experimental nvidia driver is pulling down stuff to compile itself... and thus it pulls experimental core packages. Nasty.

I've already seen the first of the links you mentioned but nothing happens as well. Also, this line is quite frightening, from your second link:
If you want to downgrade more then 10 packages, the easiest method to backup your config files, and completely reinstall your system.


:(

I'll see what I can do.
devicerandom
Level 1
Level 1
 
Posts: 16
Joined: Sun May 13, 2012 9:44 pm

Re: nvidia-kernel-dkms will not install with new dkms

Postby devicerandom on Mon May 14, 2012 10:12 am

It seems it refuses to downgrade practically everything.

I am quite bewildered by all of this. I can reinstall, but I would really like to avoid that. Is there anything else I could try?
devicerandom
Level 1
Level 1
 
Posts: 16
Joined: Sun May 13, 2012 9:44 pm

Re: nvidia-kernel-dkms will not install with new dkms

Postby devicerandom on Mon May 14, 2012 11:03 am

Ok, out of desperation I am doing this. I scripted a thing that reads all the list of unstable/experimental packages and I force the install of the testing version of them, one by one. This is removing a lot of stuff, but then I'll reinstall it, hoping that now it will reinstall consistent packages.
devicerandom
Level 1
Level 1
 
Posts: 16
Joined: Sun May 13, 2012 9:44 pm

Re: nvidia-kernel-dkms will not install with new dkms

Postby zerozero on Mon May 14, 2012 1:17 pm

i'm hopping by now you still have X to start rebuilding the system.
zerozero
Level 16
Level 16
 
Posts: 6469
Joined: Tue Jul 07, 2009 2:29 pm

Re: nvidia-kernel-dkms will not install with new dkms

Postby devicerandom on Mon May 14, 2012 3:07 pm

Actually in the hell I lost networking, so now I'm completely borked. Even working from a chroot doesn't work well. It seems I will reinstall :cry:
(I am writing from another computer now...)
devicerandom
Level 1
Level 1
 
Posts: 16
Joined: Sun May 13, 2012 9:44 pm

Re: nvidia-kernel-dkms will not install with new dkms

Postby dcihon on Mon May 14, 2012 3:12 pm

been there done that.
I am still rebuilding after a reinstall recently.
Oh the fun of living on the edge.
I am now playing around with liquorix kernels.
Can't get 3.3 to work but got 3.1 to work.
Kernel 3.2.0-3-amd64 x86_64 (64 bit) Distro Linux Mint Xfce Edition
ATI - Tracking - Testing
User avatar
dcihon
Level 4
Level 4
 
Posts: 276
Joined: Sun Aug 07, 2011 2:15 pm
Location: Florissant, MO USA

Re: nvidia-kernel-dkms will not install with new dkms

Postby devicerandom on Mon May 14, 2012 5:56 pm

It kind of reminds me of my Gentoo times, but I never had to reinstall with that... at worst, full recompile of the system. Oh dear, I'll learn.
devicerandom
Level 1
Level 1
 
Posts: 16
Joined: Sun May 13, 2012 9:44 pm

Re: nvidia-kernel-dkms will not install with new dkms

Postby rhodry on Mon May 14, 2012 8:34 pm

I have been running "mixed" Debian systems for 'an age' and IMHO the best advice I have seen on Apt Pinning comes from these two posts:

http://crunchbanglinux.org/forums/topic/12081/

http://crunchbanglinux.org/forums/post/120442/#p120442

These threads start from Debian Stable ( simply because Crunchbang is based on it) but move through the full range to Experimental. I really suggest reading both threads fully to get a clear understanding of the issue. E.G.; using '-t' as an install parameter has serious implications for downloading dependencies. I suggest this is where your mess from Experimental has emerged.

I currently run Debian Sid Xfce with Mint overtones ( it started life as LMDE-Xfce). My suggestion to you is to reinstall and start again with a fresh knowledge of how to run "mixed" systems.

Also, if you are having trouble getting dkms nvidia drivers to work out of the box, NEVER use Experimental for such key software. It is called Experimental for a reason you know!! :) Your better option is to install Smxi from http://smxi.org/smxi.zip and use Sgfxi (part of the script) to install & experiment with different versions of the nvidia drivers until you have one that works and then lock it in.

Much to learn you have young Skywalker! :)

cheers,
rhodry.
Life isn't about waiting for the storm to pass...
it's about learning to dance in the rain.
rhodry
Level 4
Level 4
 
Posts: 347
Joined: Mon Jun 04, 2007 7:32 am

Re: nvidia-kernel-dkms will not install with new dkms

Postby devicerandom on Mon May 14, 2012 10:05 pm

rhodry wrote: E.G.; using '-t' as an install parameter has serious implications for downloading dependencies. I suggest this is where your mess from Experimental has emerged.


Even without reading (I'll do!) I reckon this has been the seed of the hell.

rhodry wrote:My suggestion to you is to reinstall and start again with a fresh knowledge of how to run "mixed" systems.


Well, now I have reinstalled and I have been pleasantly surprised that, after some sweat spent in resolving dependencies when upgrading/dist-upgrading, at last I can get a nicely working system with the free drivers (probably not as performing, but that's OK for now). There are other issues (that I'm going to post) but I'd like to keep the beast as less mixed as possible :)

rhodry wrote:Your better option is to install Smxi from http://smxi.org/smxi.zip and use Sgfxi (part of the script) to install & experiment with different versions of the nvidia drivers until you have one that works and then lock it in.


I was unaware of Smxi, will have a look.

rhodry wrote:Much to learn you have young Skywalker! :)


Sure! I use Linux since late 2003 (Mandrake, then Gentoo, then Ubuntu, with Debian and Slackware on other systems here and there), but I have not much experience with rolling Debian distributions, so it's being a noob again. :)
devicerandom
Level 1
Level 1
 
Posts: 16
Joined: Sun May 13, 2012 9:44 pm

Linux Mint is funded by ads and donations.
 

Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 3 guests